gda-sharp 0.0.0.0 neutral Gtk# is thread aware, but not thread safe; See the Gtk# Thread Programming for details.

Management of connections to XML data sources

To be added GLib.Object GLib.IWrapper System.IDisposable
- Method
  Gda.XmlConnection ``

  Creates a Gda.XmlConnection object from the contents of filename, which must be a correct .connection file.

  a a To be added
- Method
  Gda.XmlConnection ``

  Creates a Gda.XmlConnection object from the given XML string.

  a a To be added
- Method
  System.Void To be added To be added
- Method
  System.Boolean ``

  Loads a XML file into the object.

  a a To be added
- Method
  System.Boolean ``

  Loads a XML string into the object.

  a a To be added
- Constructor
  To be added
  a
  a
  To be added
- Constructor
  To be added
  a

  Creates a new GdaXmlConnection object, which lets you parse and/or create .connection files, which are XML files used to specify all parameters needed to open a database connection, and which can be used to store user's connection preferences, or for automatic connection to databases from unattended scripts and such.

- Property
  System.String

  Gets / Sets the password for the object.

  a To be added
- Property
  System.String

  Gets / Sets the user name for the object.

  a To be added
- Property
  System.String

  Gets / Sets the data source name for the object.

  a To be added
- Property
  GLib.GType GType Property. a Returns the native value for .
- Constructor
  Protected Constructor.
  a
  a
  Chain to this constructor if you have manually registered a native value for your subclass.
- Constructor
  Creates a Connection object from the contents of file.
  a path to a .connection file.
  a
  The file must be a properly formatted .connection file.